* SPSS 16.0 for Windows, Release 16.0.1 .
* Diese Datei: E:\bsn\Workshop_06_2008\SPSS-Beispiele\beispiel4.sps (25.02.2009) .
set length none.
set width 132.
set header no.

* CD '<Arbeitsverzeichnis>'.

* Beispiel 4: Gruppenvergleiche .

* Quelle: 
  Schimpl-Neimanns, Bernhard: Schtzung des Stichprobenfehlers im 
  Mikrozensus mit Stata - Eine Einfhrung mit Beispielen zum Campus 
  File Mikrozensus 2002. GESIS-Methodenbericht 2009/02. Mannheim: GESIS
  URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
       gesis_reihen/gesis_methodenberichte/2009/gesis_mb_09_02.pdf
Diese Datei:
       http://www.gesis.org/dienstleistungen/tools-standards/mikrodaten-tools/
       sp-fehler/SPSS_Beispiele.zip .

get file = "mz02cf_Beisp.sav"
            /keep ef1 ef3 ef4 ef30 ef32 ef504 ef505 ef506 ef708 ef712 .
DATASET NAME DataSet1 WINDOW=FRONT.
missing values all().

* Designdefinition (A) .
* Schichtung: Bundesland, Gebudegrenklasse .
compute schicht = ef1*10 + ef712.
formats schicht (f3.0).
* Auswahlsatz: MZ 1%, CF 3,5% .
compute f = 0.01 * 0.035.
* Designgewicht.
compute w = 1/f .

* Interessierende Variable: ILO-Erwerbslos (ef504).
recode ef504 (2=1) (else=0) into y.
formats y (f1.0).

* Subpopulation: Bevlkerung am Hauptwohnsitz (ef505), 15-65 Jahre (ef30), 
  Erwerbspers.
if (ef505>=1 & ef505<=2 & ef30>=15 & ef30<=65 & ef504<=2) sub=1.
recode sub (sysmis=0).
formats sub (f1.0).

* West-/Ostdeutschland .
do if ef708<>9. /* nicht Ost-Berlin */
recode ef1 (1 thru 11=1) (else=2) into westost.
else if (ef708=9).
compute westost=2.
end if.
formats westost (f1.0).
variable label westost 'West-/Ostdeutschland'.
value label westost 1 'West ink. West-Berlin' 2 'Ost inkl. Ost-Berlin'.


* ----------------------------------------------------------------------------.
* Definition Stichprobendesign (A).
* - Einstufige Klumpenauswahl: PSU = Auswahlbezirk (ef3).
* - Schichtung: schicht = Bundesland (ef1), Gebudeschicht (ef712).
* - Endlichkeitskorrektur mit Auswahlsatz f = 0.01 * 0.035.
* - Designgewicht: w (Inklusionswahrscheinlichkeiten MZ: 1% CF: 3,5%).
* --- siehe beispiel1.sps --- .
* CSPLAN ANALYSIS
  /PLAN FILE='beispiel1_A.csaplan'
  /PLANVARS ANALYSISWEIGHT=w       
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=ef3 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f.
* Schtzung des Gesamtwertes Zahl der Erwerbslosen .
CSDESCRIPTIVES
 /PLAN FILE = 'beispiel1_A.csaplan'
 /SUMMARY VARIABLES =y
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM
 /STATISTICS SE CV DEFFSQRT CIN (95).


* ... in West-/Ostdeutschland .
CSTABULATE 
 /PLAN FILE = 'beispiel1_A.csaplan'
 /TABLES VARIABLES = y by westost 
 /SUBPOP TABLE = sub DISPLAY=LAYERED
 /CELLS POPSIZE
 /STATISTICS SE CIN DEFFSQRT .


* ... Fallzahltabelle .
CSTABULATE 
 /PLAN FILE = 'beispiel1_A.csaplan'
 /TABLES VARIABLES = y by westost 
 /SUBPOP TABLE = sub DISPLAY=LAYERED
 /CELLS POPSIZE .


* ... mit Spalten-% .
* Keine Pearson-Statistik "/TEST INDEPENDENCE" bei Verwendung Subpopulation 
  mglich.
CSTABULATE 
 /PLAN FILE = 'beispiel1_A.csaplan'
 /TABLES VARIABLES = y by westost 
 /SUBPOP TABLE = sub DISPLAY=LAYERED
 /CELLS COLPCT 
 /STATISTICS DEFFSQRT .

