* SPSS 16.0 for Windows, Release 16.0.1 .
* Diese Datei: beispiel9.sps (02.03.2009) .
set length none.
set width 132.
set header no.
set mxwarns=5.  

* CD '<Arbeitsverzeichnis>'.

* ========================================================================.
* Beispiel 9: Durchschnittliche Arbeitsstunden (Designgewichtung)         .
* ========================================================================.

* Quelle: 
  Schimpl-Neimanns, Bernhard: Schtzung des Stichprobenfehlers im 
  Mikrozensus mit Stata - Eine Einfhrung mit Beispielen zum Campus 
  File Mikrozensus 2002. GESIS-Methodenbericht 2009/02. Mannheim: GESIS
  URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
       gesis_reihen/gesis_methodenberichte/2009/gesis_mb_09_02.pdf
Diese Datei:
       http://www.gesis.org/dienstleistungen/tools-standards/mikrodaten-tools/
       sp-fehler/SPSS_Beispiele.zip .

get file = "mz02cf_Beisp.sav"
   /keep ef1 ef3 ef32 ef141 ef504 ef505 ef708 ef712.
DATASET NAME DataSet1 WINDOW=FRONT.

missing values all().
compute id = $casenum.

* Variablenabgenzungen analog zu Beispiel 1.
compute schicht = ef1*10 + ef712.
* Auswahlsatz MZ 1%, CF 3,5% .
compute f = 0.01 * 0.035.
* Designgewicht.
compute w = 1/f .

* Subpopulation: Bevlkerung am Hauptwohnsitz, Erwerbsttige.
compute sub = (ef505<=2 & ef504=1).

* Region. 
recode ef1 (1 thru 11=1) (else=2) into westost.
do if (ef708=9).
compute westost = 2.
end if.
value label westost 1 "West inkl. West-Berlin" 2 "Ost inkl. Ost-Berlin".

* ef141 Normalerw. geleist. Arbeitszeit (Std.) je Woche.
recode ef141 (57=58) (60=62) (65=67) (70=72) (75=77) (80=82) (85=87) (90=93.5)
             (else=copy) into y.
formats y (f2.0).

formats schicht y (f2.0) /sub westost (f1.0).

* Stichprobendesign: SRSWR, Designgewichtung, Schichtung, Klumpung .
CSPLAN ANALYSIS
  /PLAN FILE='beispiel9.csaplan'
  /PLANVARS ANALYSISWEIGHT=w
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=ef3 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f.

* Durchschnittliche Arbeitsstunden nach Geschlecht und Region.
CSDESCRIPTIVES
 /PLAN FILE = 'beispiel9.csaplan'
 /SUMMARY VARIABLES = y
 /MEAN
 /STATISTICS SE CV DEFFSQRT
 /SUBPOP TABLE = sub by ef32 by westost DISPLAY=LAYERED.


